Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.testing
Class ScribeRegrTest.TestScribeContent

    java.lang.Object
      rice.p2p.scribe.testing.ScribeRegrTest.TestScribeContent

All Implemented Interfaces:
  java.io.Serializable, ScribeContent

Enclosing class:
  ScribeRegrTest

    protected static class ScribeRegrTest.TestScribeContent

extends java.lang.Object
implements ScribeContent

Utility class for past content objects

Version:
  $Id: ScribeRegrTest.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  amislove
See Also:
  Serialized Form

Field Summary
`protected int` | `num` DESCRIBE THE FIELD
`protected Topic` | `topic` DESCRIBE THE FIELD

Constructor Summary
`ScribeRegrTest.TestScribeContent(Topic topic, int num)` Constructor for TestScribeContent.

Method Summary
`boolean` | `equals(java.lang.Object o)` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### topic

    protected Topic topic

  DESCRIBE THE FIELD

### num

    protected int num

  DESCRIBE THE FIELD

Constructor Detail

### ScribeRegrTest.TestScribeContent

    public ScribeRegrTest.TestScribeContent(Topic topic,
                                            int num)

  Constructor for TestScribeContent.

  Parameters:
    `topic` - DESCRIBE THE PARAMETER
    `num` - DESCRIBE THE PARAMETER

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  DESCRIBE THE METHOD

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.